Bug 1125399 - Dynflow actions that hit Candlepin should use the username not remote_id for the cp-user header
Summary: Dynflow actions that hit Candlepin should use the username not remote_id for ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Katello Bug Bin
QA Contact: sthirugn@redhat.com
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-31 18:13 UTC by Eric Helms
Modified: 2017-02-23 21:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:12:21 UTC


Attachments (Terms of Use)
foreman_admin user (117.98 KB, image/png)
2015-03-17 15:37 UTC, sthirugn@redhat.com
no flags Details
admin user (89.41 KB, image/png)
2015-03-17 15:38 UTC, sthirugn@redhat.com
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC
Foreman Issue Tracker 6726 None None None 2016-04-22 15:03:13 UTC

Description Eric Helms 2014-07-31 18:13:30 UTC

Comment 1 Eric Helms 2014-07-31 18:13:31 UTC
Created from redmine issue http://projects.theforeman.org/issues/6726

Comment 4 Bryan Kearney 2014-08-25 18:03:55 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/6726 has been closed
-------------
Adam Ruzicka
Applied in changeset commit:katello|24f72a104e0a2bd555baa007b40b6d5ba5eb0934.

Comment 5 Corey Welton 2014-12-11 14:57:05 UTC
Please provide examples or steps to repro so QE can reliably verify this issue.

Comment 6 Eric Helms 2015-01-02 13:52:24 UTC
If you register a content host as admin, click to view the details, and go to the Subscriptions > Events tab you will see events coming from Candlepin. Prior to this change, the user listed would be something like 'admin-1238773', while with this change it should just read 'admin'. The former being the remote_id and the latter being the username of the user who registered the content host.

Comment 9 sthirugn@redhat.com 2015-03-17 15:37:33 UTC
Verified with 2 scenarios:
1. Registration with activation key (foreman_admin user listed)
2. Registration without activaiton key (admin user listed)

(I will upload screenshots for both the scenarios)

Version Tested:
Satellite-6.1.0-RHEL-6-20150311.1

Comment 10 sthirugn@redhat.com 2015-03-17 15:37:57 UTC
Created attachment 1002843 [details]
foreman_admin user

Comment 11 sthirugn@redhat.com 2015-03-17 15:38:15 UTC
Created attachment 1002844 [details]
admin user

Comment 12 Bryan Kearney 2015-08-11 13:18:46 UTC
This bug is slated to be released with Satellite 6.1.

Comment 13 errata-xmlrpc 2015-08-12 05:12:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.